import * as actions from '../redux/actions';
import * as TYPE from '../common/constant';
import {Platform} from 'react-native';
import SystemNavigationBar from 'react-native-system-navigation-bar';

export const onConfigurations = (item, user_answer, dispatch) => {
  // const dispatch = useDispatch();
  let user_choose = '';

  switch (item.type) {
    case TYPE.SINGLE_CHOICE:
      user_choose = {value: item.items.value};
      break;

    case TYPE.MULTIPLE_CHOICE:
      const itemAnswer = user_answer.find((f) => f.question_id === item.id);
      let arrValue = [];
      if (itemAnswer) {
        arrValue = itemAnswer.user_answer.value;
        let index = arrValue.indexOf(item.items.value);
        if (index === -1) {
          arrValue.push(item.items.value);
        } else {
          arrValue.splice(index, 1);
        }
      } else {
        arrValue.push(item.items.value);
      }
      user_choose = {value: arrValue};
      break;

    case TYPE.WRITING:
      user_choose = {value: user_answer};
      break;

    case TYPE.REORDER:
      user_choose = {value: user_answer};
      break;
    case TYPE.MATCHING:
      user_choose = user_answer;
      break;
    case TYPE.FILL_IN_THE_BLANK:
      user_choose = {value: user_answer};
      break;
    case TYPE.FILL_IN_THE_BLANK_WRITING:
      user_choose = {value: user_answer};
      break;
  }

  const data_answer = {
    section_id: item.section_id,
    section_tag: item.section_tag,
    question_id: item.id,
    question_configuration: JSON.parse(item.configurations),
    user_answer: user_choose,
    type: item.type,
    topic: item.topic,
  };
  // console.log('data_answer', data_answer);
  dispatch({
    type: actions.REQUEST_SUBMIT_USES_ANSWER,
    payload: {data: data_answer},
  });
};

export const hideCotrolAndroid = () => {
  if (Platform.OS === 'android') {
    SystemNavigationBar.stickyImmersive();
  }
};

export const setDuration = (recordingDuration) => {
  if (recordingDuration === 0) {
    return '00:00';
  }
  if (recordingDuration < 60000) {
    const secondsTime = Math.ceil(recordingDuration / 1000);
    return secondsTime >= 10 ? `00:${secondsTime}` : `00:0${secondsTime}`;
  }
  if (recordingDuration >= 60000) {
    let minTime = Math.ceil(recordingDuration / 60000);
    if (minTime < 10) {
      minTime = `0${minTime}`;
    }
    let secondsTime = Math.ceil((recordingDuration - minTime * 60000) / 1000);
    if (secondsTime < 10) {
      secondsTime = `0${secondsTime}`;
    }
    return `${minTime}:${secondsTime}`;
  }
};
