import React, {Component} from 'react';
import {
  View,
  TouchableOpacity,
  TextInput,
  StyleSheet,
  Text,
} from 'react-native';

class CodeTest extends Component {
  constructor(props) {
    super(props);
    this.state = {
      code: '37177',
    };
  }

  render() {
    return (
      <View style={styles.container}>
        <TextInput
          style={styles.input}
          underlineColorAndroid="transparent"
          returnKeyType="done"
          onChangeText={(text) => this.setState({code: text})}
        />
        <TouchableOpacity
          onPress={() => {
            const {code} = this.state;
            if (code) {
              this.props.navigation.navigate('Home', {
                linkUrl: `https://test-dev.ekidpro.com/main/test/joined/${code}/take?code=OBX8ALK6NX`,
              });
            }
          }}>
          <Text style={styles.txt}>TEST</Text>
        </TouchableOpacity>
      </View>
    );
  }
}

export default CodeTest;

const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
  },
  input: {
    height: 60,
    width: 300,
    fontSize: 20,
    color: 'black',
    borderWidth: 1,
    borderRadius: 10,
    borderColor: '#333',
    textAlign: 'center',
  },
  txt: {
    fontSize: 20,
    color: 'black',
    marginTop: 30,
  },
});
