import React from 'react';
import {
  StyleSheet,
  Text,
  TouchableOpacity,
  View,
  Dimensions,
  FlatList,
} from 'react-native';
import AntDesign from 'react-native-vector-icons/AntDesign';
AntDesign.loadFont();

export default (props) => {
  const {onPress, user_answer, data, item_question, isFinish} = props;

  data.map((item) => {
    if (user_answer.length === 0) {
      item.selected = false;
    } else {
      user_answer.forEach((answer) => {
        if (answer.question_id === item_question.id) {
          if (item.value === answer.user_answer.value) {
            item.selected = true;
          } else {
            item.selected = false;
          }
        }
      });
    }
    return item;
  });

  const renderItem = ({item, index}) => {
    return (
      <View style={styles.container}>
        <TouchableOpacity
          disabled={isFinish}
          onPress={() => onPress(item)}
          style={[
            styles.configView,
            {backgroundColor: item.selected ? '#01c660' : 'transparent'},
          ]}>
          <Text style={[styles.text, {color: item.selected ? '#fff' : '#000'}]}>
            {item.data.value}
          </Text>
        </TouchableOpacity>
        {item.correct === 1 && isFinish && (
          <AntDesign
            name="checkcircle"
            style={{fontSize: 30, marginLeft: 20, color: 'green'}}
          />
        )}
        {item.correct === 0 && isFinish && (
          <AntDesign
            name="closecircleo"
            style={{fontSize: 30, marginLeft: 20, color: 'red'}}
          />
        )}
      </View>
    );
  };

  return (
    <FlatList
      data={data}
      renderItem={renderItem}
      keyExtractor={(item, index) => index.toString()}
    />
  );
};

const width = Dimensions.get('screen').width * 0.6;

const styles = StyleSheet.create({
  container: {
    width: width,
    flexDirection: 'row',
    alignItems: 'center',
  },
  configView: {
    flex: 1,
    minHeight: 45,
    borderColor: 'gray',
    borderWidth: 1,
    borderRadius: 10,
    marginVertical: '2%',
    padding: 10,
  },
  image: {
    width: 100,
  },
  text: {
    fontSize: 16,
    fontWeight: 'bold',
  },
});
