import React from 'react';
import {
  StyleSheet,
  Text,
  TouchableOpacity,
  View,
  Dimensions,
  FlatList,
} from 'react-native';
import AntDesign from 'react-native-vector-icons/AntDesign';
import {color_blue, color_orange} from '../../assets/colors';
import {arrSTT} from '../../common/constant';
AntDesign.loadFont();

export default (props) => {
  const {onPress, user_answer, data, item_question, isFinish} = props;

  const existed = user_answer.find((ob) => ob.question_id === item_question.id);

  data.map((item) => {
    if (user_answer.length === 0) {
      item.selected = false;
    } else {
      if (existed) {
        if (item.value === existed.user_answer.value) {
          item.selected = true;
        } else {
          item.selected = false;
        }
      }
    }
    return item;
  });

  const renderItem = ({item, index}) => {
    return (
      <View style={styles.container}>
        <TouchableOpacity
          disabled={isFinish}
          onPress={() => onPress(item)}
          style={styles.configView}>
          <Text style={[styles.txtABC, item.selected && styles.selected]}>
            {arrSTT[index]}
          </Text>
          <Text style={[styles.text]}>{item.data.value}</Text>
        </TouchableOpacity>
        {isFinish && item.correct === 1 && (
          <AntDesign
            name="checkcircle"
            style={{fontSize: 30, marginLeft: 20, color: 'green'}}
          />
        )}
        {isFinish && item.correct === 0 && (
          <AntDesign
            name="closecircleo"
            style={{fontSize: 30, marginLeft: 20, color: 'red'}}
          />
        )}
      </View>
    );
  };

  return (
    <View>
      <FlatList
        data={data}
        renderItem={renderItem}
        keyExtractor={(item, index) => index.toString()}
      />
    </View>
  );
};
const width = Dimensions.get('screen').width * 0.6;

const styles = StyleSheet.create({
  container: {
    width: width,
    flexDirection: 'row',
    alignItems: 'center',
  },
  configView: {
    flex: 0.7,
    flexDirection: 'row',
    marginVertical: '1%',
    padding: 10,
    marginEnd: 20,
    alignItems: 'center',
  },

  image: {
    height: 100,
  },
  text: {
    fontSize: 18,
    marginStart: 20,
  },
  txtABC: {
    fontSize: 22,
    fontWeight: 'bold',
    backgroundColor: color_orange,
    color: color_blue,
    paddingVertical: 8,
    paddingHorizontal: 13,
    textAlign: 'center',
    borderRadius: 10,
    overflow: 'hidden',
  },
  selected: {
    backgroundColor: color_blue,
    color: '#FFF',
  },
});
