import React from 'react';
import {View, FlatList} from 'react-native';
import {ItemText} from './item-text';
import {ItemAudio} from './item-audio';

export default (props) => {
  const {onPress, user_answer, data, item_question, isFinish} = props;

  const existed = user_answer.find((ob) => ob.question_id === item_question.id);

  data.map((item) => {
    if (user_answer.length === 0) {
      item.selected = false;
    } else {
      if (existed) {
        if (item.value === existed.user_answer.value) {
          item.selected = true;
        } else {
          item.selected = false;
        }
      }
    }
    return item;
  });

  const renderItem = ({item, index}) => {
    if (item_question.configurations_type === 'audio') {
      return (
        <ItemAudio
          item={item}
          index={index}
          isFinish={isFinish}
          onPress={() => onPress(item)}
        />
      );
    } else {
      return (
        <ItemText
          item={item}
          index={index}
          isFinish={isFinish}
          onPress={() => onPress(item)}
        />
      );
    }
  };

  return (
    <View>
      <FlatList
        data={data}
        renderItem={renderItem}
        keyExtractor={(item, index) => index.toString()}
      />
    </View>
  );
};
