import React from 'react';
import {Text, TouchableOpacity, View} from 'react-native';
import {styles} from './styles';
import {arrSTT} from '../../common/constant';
import AntDesign from 'react-native-vector-icons/AntDesign';
AntDesign.loadFont();

export const ItemText = (props) => {
  const {item, index, isFinish, onPress} = props;

  return (
    <View style={styles.container}>
      <TouchableOpacity
        disabled={isFinish}
        onPress={() => onPress()}
        style={styles.configView}>
        <Text style={[styles.txtABC, item.selected && styles.selected]}>
          {arrSTT[index]}
        </Text>
        <Text style={[styles.text]}>{item.data.value}</Text>
      </TouchableOpacity>
      {isFinish && item.correct === 1 && (
        <AntDesign
          name="checkcircle"
          style={{fontSize: 30, marginLeft: 20, color: 'green'}}
        />
      )}
      {isFinish && item.correct === 0 && (
        <AntDesign
          name="closecircleo"
          style={{fontSize: 30, marginLeft: 20, color: 'red'}}
        />
      )}
    </View>
  );
};
