import {StyleSheet, Dimensions} from 'react-native';
import {color_blue, color_orange} from '../../assets/colors';

const width = Dimensions.get('screen').width * 0.6;

export const styles = StyleSheet.create({
  container: {
    width: width,
    flexDirection: 'row',
    alignItems: 'center',
  },
  configView: {
    flex: 0.7,
    flexDirection: 'row',
    marginVertical: '1%',
    padding: 10,
    marginEnd: 20,
    alignItems: 'center',
  },

  image: {
    height: 100,
  },
  text: {
    fontSize: 18,
    marginStart: 20,
  },
  txtABC: {
    fontSize: 22,
    fontWeight: 'bold',
    backgroundColor: color_orange,
    color: color_blue,
    paddingVertical: 8,
    paddingHorizontal: 13,
    textAlign: 'center',
    borderRadius: 10,
    overflow: 'hidden',
  },
  selected: {
    backgroundColor: color_blue,
    color: '#FFF',
  },
  viewAudio: {
    flex: 1,
    flexDirection: 'row',
    alignItems: 'center',
    backgroundColor: color_blue,
    borderRadius: 10,
    padding: 10,
    marginHorizontal: 30,
  },
  imgAudio: {
    width: 35,
    height: 35,
  },
  imgTrue: {
    fontSize: 30,
    marginLeft: 20,
    color: 'green',
  },
  imgFalse: {
    fontSize: 30,
    marginLeft: 20,
    color: 'red',
  },
});
