import React, {Component} from 'react';
import {
  StyleSheet, // CSS-like styles
  Text, // Renders text
  TouchableOpacity, // Pressable container
  View, // Container component
} from 'react-native';
import {color_blue_2} from '../../assets/colors';

export default class Button extends Component {
  render({onPress} = this.props) {
    return (
      <TouchableOpacity onPress={onPress}>
        <View
          style={[
            styles.button,
            {backgroundColor: this.props.bgColor || color_blue_2},
          ]}>
          <Text style={styles.text}>{this.props.text}</Text>
        </View>
      </TouchableOpacity>
    );
  }
}

const styles = StyleSheet.create({
  // Button container
  button: {
    borderRadius: 50, // Rounded border
    // borderWidth: 2, // 2 point border widht
    // borderColor: '#107ce8', // White colored border
    paddingHorizontal: 30, // Horizontal padding
    paddingVertical: 12, // Vertical padding
  },
  // Button text
  text: {
    color: '#FFF',
    fontSize: 18,
  },
});
