import React, {Component} from 'react';
import {View, Image, StyleSheet, Text, TouchableOpacity} from 'react-native';
import img_circle from '../../assets/images/img_circle.png';
import img_game from '../../assets/images/img_game.png';
import img_song from '../../assets/images/img_song.png';
import ic_reading from '../../assets/images/ic_reading.png';
import ic_writing from '../../assets/images/ic_writing.png';
import ic_speaking from '../../assets/images/ic_speaking.png';
import ic_listening from '../../assets/images/ic_listening.png';

class QuestionIntro extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  setIcon = () => {
    const {question} = this.props;

    switch (question.section_tag) {
      case 'Reading':
        return ic_reading;

      case 'Writing':
        return ic_writing;

      case 'Speaking':
        return ic_speaking;

      case 'Listening':
        return ic_listening;
    }
  };

  render() {
    const {onSkip, question} = this.props;
    // console.log(15, question);

    return (
      <View style={styles.container}>
        <Image source={img_circle} style={styles.imgCircle} />
        <Image source={img_game} style={styles.imgGame} />
        <Image source={img_song} style={styles.imgSong} resizeMode="contain" />
        <Image
          source={this.setIcon()}
          resizeMode="contain"
          style={styles.iconPart}
        />
        <Text style={styles.txtPart}>{question.section_tag}</Text>
        <TouchableOpacity style={styles.btnSkip} onPress={() => onSkip()}>
          <Text style={styles.txtSkip}>Bỏ qua</Text>
        </TouchableOpacity>
      </View>
    );
  }
}

export default QuestionIntro;

const styles = StyleSheet.create({
  container: {
    position: 'absolute',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: 'white',
  },
  imgCircle: {
    position: 'absolute',
    left: 0,
    top: '5%',
  },
  imgGame: {
    position: 'absolute',
    right: 0,
    bottom: '5%',
  },
  imgSong: {
    position: 'absolute',
    top: '5%',
    right: '5%',
    width: 100,
  },
  iconPart: {
    width: 120,
    height: 120,
    marginBottom: 20,
  },
  txtPart: {
    color: '#4C51D9',
    fontSize: 44,
    fontWeight: 'bold',
  },
  txtSkip: {
    color: 'white',
    fontSize: 18,
    fontWeight: '400',
  },
  btnSkip: {
    marginTop: 100,
    backgroundColor: '#FFC107',
    borderRadius: 20,
    paddingVertical: 12,
    width: '15%',
    alignItems: 'center',
    justifyContent: 'center',
  },
});
