import React from 'react';
import RNFS from 'react-native-fs';
import {getFileName} from './data-question';
import SoundManager from '../../../components/SoundManager';
import {FOLDER_SOUND} from '../../../common/constant';

// const FOLDER_SOUND = `${RNFS.DocumentDirectoryPath}/hotqa`;

let jobId = -1;

export default class DownloadAudio extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
    this.data = props.data;
    this.start = props.start;
  }

  parseExtra = (dataExtra, arrLink) => {
    const extra = JSON.parse(dataExtra);
    if (extra.length > 0) {
      extra.forEach(async (i) => {
        if (i.type === 'audio') {
          arrLink.push(i.value);
        }
      });
    }
  };

  getArrLink = async () => {
    if ((await RNFS.exists(FOLDER_SOUND)) === false) {
      RNFS.mkdir(FOLDER_SOUND);
    }

    const {sections} = this.data;
    const arrLink = [];
    sections.forEach(async (e) => {
      this.parseExtra(e.extra, arrLink);
      const arr_question = e.questions || e.answers;
      arr_question.forEach(async (item) => {
        const extra = item.extra || item.question_extra;
        this.parseExtra(extra, arrLink);
      });
    });
    if (arrLink.length > 0) {
      this.checkFileExisted(arrLink, arrLink[0], 0);
    } else {
      this.start();
    }
  };

  checkFileExisted = (arrLink, file, index) => {
    // console.log(38, file);
    const downloadDest = `${FOLDER_SOUND}/${getFileName(file)}`;
    // console.log(49, downloadDest);
    RNFS.exists(downloadDest)
      .then((res) => {
        if (!res) {
          this.downloadFile(arrLink, file, index);
        } else {
          SoundManager.preload(downloadDest);
          if (index === arrLink.length - 1) {
            this.start();
          } else {
            this.checkFileExisted(arrLink, arrLink[index + 1], index + 1);
          }
        }
      })
      .catch((e) => {
        this.downloadFile(arrLink, file, index);
      });
  };

  downloadFile = (arrLink, file, index) => {
    const downloadDest = `${FOLDER_SOUND}/${getFileName(file)}`;
    const ret = RNFS.downloadFile({
      fromUrl: file,
      toFile: downloadDest,
      background: false,
      discretionary: true,
    });

    jobId = ret.jobId;

    ret.promise
      .then((res) => {
        // console.log(65, file, res);
        if (res.statusCode === 200) {
          SoundManager.preload(downloadDest);
          if (index === arrLink.length - 1) {
            this.start();
          } else {
            this.checkFileExisted(arrLink, arrLink[index + 1], index + 1);
          }
        } else {
          this.checkFileExisted(arrLink, file, index);
        }
      })
      .catch(() => {
        if (index === arrLink.length - 1) {
          this.start();
        } else {
          this.checkFileExisted(arrLink, arrLink[index + 1], index + 1);
        }
      });
  };

  stopDownload = () => {
    RNFS.stopDownload(jobId);
  };
}
