import {StyleSheet, Dimensions} from 'react-native';
import {
  color_blue,
  color_blue_2,
  color_orange,
  color_orange_2,
} from '../../../assets/colors';

const width = Dimensions.get('screen').width;

export const styles = StyleSheet.create({
  safe: {
    flex: 1,
  },
  container: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
  },
  indicator: {
    alignSelf: 'center',
  },
  slide: {
    paddingTop: '2%',
    backgroundColor: '#fff',
    // alignItems: 'center',
    justifyContent: 'center',
    flexDirection: 'row',
  },
  // Header styles
  header: {
    color: '#FFFFFF',
    fontFamily: 'Avenir',
    fontSize: 30,
    fontWeight: 'bold',
    marginVertical: 10,
  },
  // Text below header
  text: {
    color: '#FFFFFF',
    fontSize: 18,
    marginHorizontal: 40,
    textAlign: 'center',
  },
  title: {
    fontSize: 24,
    fontWeight: '600',
    marginBottom: '1%',
    marginEnd: 20,
    color: color_blue,
  },
  viewImage: {
    marginBottom: '1%',
  },
  viewTitle: {
    // flexDirection: 'row',
    alignItems: 'center',
    marginHorizontal: 50,
    marginBottom: '1%',
  },
  viewPlayer: {
    width: width * 0.35,
    flexDirection: 'row',
    backgroundColor: color_orange,
    borderRadius: 16,
    marginBottom: 20,
    alignItems: 'center',
    justifyContent: 'center',
    padding: 10,
  },
  iconPlayPause: {
    width: 40,
    height: 40,
  },
  outline: {
    fontSize: 16,
    lineHeight: 28,
    color: 'black',
    flex: 1,
    marginBottom: 10,
  },
  viewOutline: {
    flex: 0.4,
    alignItems: 'center',
    backgroundColor: color_orange_2,
    borderRadius: 20,
    paddingVertical: 20,
    marginHorizontal: 30,
  },
  viewDuration: {
    flexDirection: 'row',
    width: '90%',
    justifyContent: 'space-between',
  },
  imgQuestion: {
    width: width * 0.32,
    height: width * 0.32,
    marginVertical: 10,
  },
});
