import * as actions from '../actions';

export const initialState = {
  keyPage: 0,
  isFinish: false,
  isResult: false,
  point: '?/10',
};

export default (state = initialState, action) => {
  const {type, payload} = action;
  switch (type) {
    case actions.REQUEST_COMPONENTS_KEY_PAGES: {
      const {keyPage} = payload;
      return {
        ...state,
        keyPage,
      };
    }
    case actions.REQUEST_IS_FINISH: {
      const {isFinish} = payload;
      return {...state, isFinish, keyPage: 0};
    }

    case actions.REQUEST_IS_RESULT: {
      const {isResult} = payload;
      return {...state, isResult, keyPage: 0};
    }

    case actions.REQUEST_POINT: {
      const {point} = payload;
      return {...state, point};
    }

    default:
      return state;
  }
};
