import * as actions from '../actions';

export const initialState = {
  loading: null,
  data: null,
  error: null,
};

export default (state = initialState, action) => {
  const {type, payload} = action;
  switch (type) {
    case actions.REQUEST_DATA_QUESTIONS_LOADING: {
      return {
        loading: true,
        data: null,
        err: null,
      };
    }
    case actions.REQUEST_SUBMIT_ANSWER_SUCCESS: {
      const {data} = payload;
      console.log('REQUEST_SUBMIT_ANSWER_SUCCESS', data);
      return {
        ...state,
        loading: false,
        data,
      };
    }
    case actions.REQUEST_SUBMIT_ANSWER_FAIL: {
      const {message} = payload;
      console.log('REQUEST_SUBMIT_ANSWER_FAIL', message);
      return {
        ...state,
        loading: false,
        error: message,
      };
    }
    default:
      return state;
  }
};
