import {AUDIO_RECORDING} from '../../common/constant';
import * as actions from '../actions';

export const initialState = {
  data: [],
  user_answer: [],
};

export default (state = initialState, action) => {
  const {type, payload} = action;
  switch (type) {
    case actions.REQUEST_SUBMIT_GET_DATA: {
      const {data} = payload;
      return {
        ...state,
        data,
      };
    }
    case actions.REQUEST_SUBMIT_USES_ANSWER: {
      const {data} = payload;
      if (data.length === 0) {
        return {
          data: [],
          user_answer: [],
        };
      }

      const {user_answer} = state;
      const existed = user_answer.find(
        (obj) => obj.question_id === data.question_id,
      );

      if (!existed) {
        return {
          ...state,
          user_answer: [...user_answer, data],
        };
      }

      state.user_answer.map((e) => {
        if (e.question_id === data.question_id) {
          e.user_answer = data.user_answer;
          if (e.type === AUDIO_RECORDING) {
            e.player = data.player;
            e.record = data.record;
          }
        }
        return e;
      });

      return {
        ...state,
      };
    }

    case actions.REQUEST_ANSWER_FROM_RESULT: {
      const {data} = payload;
      return {...state, user_answer: data};
    }

    default:
      return state;
  }
};
