import {request} from '../api';
import * as actions from '../actions';
import {call, put, takeLatest} from 'redux-saga/effects';
import Config from '../../Config';
import SharePreference from '../../common/SharePreference';

function* submitAnswer(action) {
  const {payload} = action;

  try {
    yield put({type: actions.REQUEST_DATA_QUESTIONS_LOADING, payload: {}});
    const getAnswer = yield call(request, {
      url: `${Config.url}/api/test/submit-answers`,
      method: 'post',
      headers: {Authorization: SharePreference.token_hotqa},
      body: payload,
    });
    yield put({
      type: actions.REQUEST_SUBMIT_ANSWER_SUCCESS,
      payload: {data: getAnswer.body},
    });
  } catch (e) {
    yield put({
      type: actions.REQUEST_SUBMIT_ANSWER_FAIL,
      payload: {message: e.message},
    });
  }
}

export function* watchAPIAnswer() {
  yield takeLatest(actions.REQUEST_SUBMIT_ANSWER, submitAnswer);
}
